#
# spec file for package mythweb-0_27
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2011,2012 Herbert Graeber
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global htmldir /srv/www/htdocs
Name:           mythweb
Version:        0.28+git.20161010.3fa642f
Release:        1.1
Summary:        The web interface to MythTV
License:        GPL-2.0+
Group:          Productivity/Multimedia/Video/Players
Url:            http://mythtv.org/
Source0:        https://www.mythtv.org/download/mythweb/0.28#/%{name}-fixes-%{version}.tar.gz
Source120:      mythweb.conf
BuildRequires:  fdupes
Requires:       apache2-mod_php5
Requires:       php5
Requires:       php5-mysql
Provides:       %{name}-0_27 = %{version}
Obsoletes:      %{name}-0_27 < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
MythTV provides a unified graphical interface for recording and viewing
television programs.  Refer to the mythtv package for more information.

The web interface to MythTV.

%prep
%setup -q -n %{name}-fixes-%{version}
chmod -R g-w ./*
find . -name '*.php' -exec chmod -x "{}" \;

%build

%install
install -d %{buildroot}%{htmldir}/%{name}
cp -a * %{buildroot}%{htmldir}/%{name}/
install -d %{buildroot}%{htmldir}/%{name}/{image_cache,php_sessions}
install -D %{SOURCE120} -m 644 %{buildroot}%{_sysconfdir}/apache2/conf.d/%{name}.conf
chmod a+x %{buildroot}%{htmldir}/%{name}/modules/coverart/handler.pl
rm -f %{buildroot}%{htmldir}/%{name}/data/.htaccess

%fdupes %{buildroot}%{htmldir}/%{name}

%files
%defattr(0644,root,root,0755)
%doc README
%dir %{_sysconfdir}/apache2
%dir %{_sysconfdir}/apache2/conf.d
%config(noreplace) %{_sysconfdir}/apache2/conf.d/%{name}.conf
%defattr(-,wwwrun,www,0775)
%dir %{htmldir}/%{name}
%exclude %{htmldir}/%{name}/README
%{htmldir}/%{name}/*

%changelog
* Sun Nov  6 2016 avvissu@yandex.by
- Update to version 0.28+git.20161010.3fa642f
* Sat May 21 2016 avvissu@yandex.by
- Update to 0.28
  * see: https://www.mythtv.org/wiki/Release_Notes_-_0.28
- Update mythweb.conf
* Sun Apr  3 2016 olaf@aepfle.de
- drop Requires: php-MythTV-0_26, pkg does not exist
* Sat Jul  5 2014 herbert@links2linux.de
- Update to version 0.27.3
* Fri Oct 18 2013 herbert@links2linux.de
- Update to version 0.27
* Sat Nov 10 2012 herbert@links2linux.de
- Fix source package name
* Sat Nov 10 2012 herbert@links2linux.de
- Don't use sourec service
* Sat Nov 10 2012 herbert@links2linux.de
- don't use ssl for sourec url
* Sat Nov 10 2012 herbert@links2linux.de
- Update to version 0.26
* Wed Apr 11 2012 herbert@links2linux.de
- update to version 0.25
- move mythweb into /srv/www/htdocs
* Sat Mar 26 2011 herbert@links2linux.de
- Build as noarch
* Fri Mar 25 2011 herbert@links2linux.de
- Initial package
